curl --request POST \
--url https://api.affinity.co/v2/lists/{listId}/fields/{fieldId}/dropdown-options/{dropdownOptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Series A"
}
'{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authorization",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Lists
Update a dropdown option for a List Field
| ⚠️ This endpoint is currently in BETA |
|---|
Update a dropdown option for a List Field.
Note: Updating dropdown options on status fields is not yet supported. Requests where
fieldId refers to a status field will return a 400 error.
POST
/
v2
/
lists
/
{listId}
/
fields
/
{fieldId}
/
dropdown-options
/
{dropdownOptionId}
curl --request POST \
--url https://api.affinity.co/v2/lists/{listId}/fields/{fieldId}/dropdown-options/{dropdownOptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Series A"
}
'{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authorization",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Authorizations
Path Parameters
Body
application/json
Response
No Content
Was this page helpful?